// Copyright 2025 Gabriel Bjørnager Jensen.

#![cfg(test)]

use multitype::IntLeast64;

#[test]
fn test_int_least64_size() {
	#[track_caller]
	fn test_size<T: IntLeast64>() -> bool {
		size_of::<T>() >= size_of::<i64>()
	}

	test_size::<i64>();
	test_size::<i128>();
}
